@mixin make-grid-auto($s) {
    #{$s}auto-flow-{ 
        &row{
            grid-auto-flow: row;
        }

        &col{
            grid-auto-flow: column;
        }

        &dense{
            grid-auto-flow: dense;
        }

        &row-dense{
            grid-auto-flow: row dense;
        }

        &col-dense{
            grid-auto-flow: column dense;
        }
    }

    #{$s}auto-cols-{ 
        &auto{
            grid-auto-columns: auto;
        }

        &min{
            grid-auto-columns: min-content;
        }

        &max{
            grid-auto-columns: max-content;
        }

        &fr{
            grid-auto-columns: minmax(0, 1fr);
        }
    }

    #{$s}auto-rows-{ 
        &auto{
            grid-auto-rows: auto;
        }

        &min{
            grid-auto-rows: min-content;
        }

        &max{
            grid-auto-rows: max-content;
        }

        &fr{
            grid-auto-rows: minmax(0, 1fr);
        }
    }
}